stages:
  - test
  - build
  - release

variables:
  TERRAFORM_REGISTRY_MODULE_NAME: tools-k8s-makeplane
  TERRAFORM_REGISTRY_SYSTEM_NAME: plane

include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      - registry/terraform.auto.yml
      - vigigloo/assist.auto.yml

.vigigloo:cli:assist:
  image:
    name: registry.gitlab.com/vigigloo/cli:dslim-v1.4.0
  artifacts:
    paths:
      - terraform_module

.vigigloo:registry:terraform:init:
  needs:
    - job: vigigloo:cli:assist
      artifacts: true

.vigigloo:registry:terraform:tflint:
  rules:
    - when: never

.vigigloo:registry:terraform:fmt:
  rules:
    - when: never

.vigigloo:registry:terraform:lint:
  rules:
    - when: never

registry:terraform:upload:
  needs:
    - job: registry:terraform:build
      artifacts: true
    - job: vigigloo:cli:assist
      artifacts: true
